Subject: RE: [nemo] RE: ro draft

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 7 Nov 2003 09:34:00 -0000

> 
> > 3) The MAP option should be changed in order to advertise the Nemo 
> > capability
> > 
> Yes.  To support multi-homing case, this option has to carry 
> multiple CoAs.  I want to extend capability in next draft.
> 
> 

If the MAP is not Nemo aware, the whole design fails. So unless this
becomes part of standard HMIP, the capability must be advertised. This
is different deom basic nemo where the HA is well known.

> > 
> > 5) I like fig 6, and I believe the MAP should be placed that way 
> > (fixed) as opposed to mobile. So I disagree with some text 
> in 5.1. The 
> > MAP option should be always there in the tree, and it is 
> not the way 
> > to detect that a MR is root. I suggest that you inherit 
> that feature 
> > from the TIO option in RRH draft, which is meant for that, 
> as opposed 
> > to overloading the MAP option.
> 
> I am sorry that fig 6 and the text in 5.1 lead some 
> misunderstanding. I also assume the case in which MAP is not 
> deployed in the network because whether MAP is deployed or 
> not depends on the network's services.
> 

My point is that if the root-MR moves, the whole tree looses its MAP. I
would not do that...
> 
>  Yes. Route optimization has many situations and there are 
> many solutions for each cases. But I think we do not need to 
> create the solution which solves all the situations. Maybe 
> that kind of work takes more time.  I want to discuss what 
> kind of situations people are thinking about route 
> optimization. That is also helpful for my clarification.  As 
> Thierry suggested in his e-mail, I want to contribute to your 
> RO-taxonomy draft.
> 

Yes, exposing the possible approaches is the goal of the taxonomy. From
there the group can decide what to explore in which order. Mixing 2
solutions in a same draft makes it difficult to move forward.

Pascal